/*
 * Copyright 2015-2018 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.ionicons4;

import org.kordamp.ikonli.Ikon;

/**
 * @author Loïc Sculier
 */
public enum Ionicons4Material implements Ikon {

    ADD("ion4-md-add",'\uf273'),
    ADD_CIRCLE("ion4-md-add-circle",'\uf272'),
    ADD_CIRCLE_OUTLINE("ion4-md-add-circle-outline",'\uf158'),
    AIRPLANE("ion4-md-airplane",'\uf15a'),
    ALARM("ion4-md-alarm",'\uf274'),
    ALBUMS("ion4-md-albums",'\uf275'),
    ALERT("ion4-md-alert",'\uf276'),
    AMERICAN_FOOTBALL("ion4-md-american-football",'\uf277'),
    ANALYTICS("ion4-md-analytics",'\uf278'),
    APERTURE("ion4-md-aperture",'\uf279'),
    APPS("ion4-md-apps",'\uf27a'),
    APPSTORE("ion4-md-appstore",'\uf27b'),
    ARCHIVE("ion4-md-archive",'\uf27c'),
    ARROW_BACK("ion4-md-arrow-back",'\uf27d'),
    ARROW_DOWN("ion4-md-arrow-down",'\uf27e'),
    ARROW_DROPDOWN("ion4-md-arrow-dropdown",'\uf280'),
    ARROW_DROPDOWN_CIRCLE("ion4-md-arrow-dropdown-circle",'\uf27f'),
    ARROW_DROPLEFT("ion4-md-arrow-dropleft",'\uf282'),
    ARROW_DROPLEFT_CIRCLE("ion4-md-arrow-dropleft-circle",'\uf281'),
    ARROW_DROPRIGHT("ion4-md-arrow-dropright",'\uf284'),
    ARROW_DROPRIGHT_CIRCLE("ion4-md-arrow-dropright-circle",'\uf283'),
    ARROW_DROPUP("ion4-md-arrow-dropup",'\uf286'),
    ARROW_DROPUP_CIRCLE("ion4-md-arrow-dropup-circle",'\uf285'),
    ARROW_FORWARD("ion4-md-arrow-forward",'\uf287'),
    ARROW_ROUND_BACK("ion4-md-arrow-round-back",'\uf288'),
    ARROW_ROUND_DOWN("ion4-md-arrow-round-down",'\uf289'),
    ARROW_ROUND_FORWARD("ion4-md-arrow-round-forward",'\uf28a'),
    ARROW_ROUND_UP("ion4-md-arrow-round-up",'\uf28b'),
    ARROW_UP("ion4-md-arrow-up",'\uf28c'),
    AT("ion4-md-at",'\uf28d'),
    ATTACH("ion4-md-attach",'\uf28e'),
    BACKSPACE("ion4-md-backspace",'\uf28f'),
    BARCODE("ion4-md-barcode",'\uf290'),
    BASEBALL("ion4-md-baseball",'\uf291'),
    BASKET("ion4-md-basket",'\uf292'),
    BASKETBALL("ion4-md-basketball",'\uf293'),
    BATTERY_CHARGING("ion4-md-battery-charging",'\uf294'),
    BATTERY_DEAD("ion4-md-battery-dead",'\uf295'),
    BATTERY_FULL("ion4-md-battery-full",'\uf296'),
    BEAKER("ion4-md-beaker",'\uf297'),
    BED("ion4-md-bed",'\uf160'),
    BEER("ion4-md-beer",'\uf298'),
    BICYCLE("ion4-md-bicycle",'\uf299'),
    BLUETOOTH("ion4-md-bluetooth",'\uf29a'),
    BOAT("ion4-md-boat",'\uf29b'),
    BODY("ion4-md-body",'\uf29c'),
    BONFIRE("ion4-md-bonfire",'\uf29d'),
    BOOK("ion4-md-book",'\uf29e'),
    BOOKMARK("ion4-md-bookmark",'\uf29f'),
    BOOKMARKS("ion4-md-bookmarks",'\uf2a0'),
    BOWTIE("ion4-md-bowtie",'\uf2a1'),
    BRIEFCASE("ion4-md-briefcase",'\uf2a2'),
    BROWSERS("ion4-md-browsers",'\uf2a3'),
    BRUSH("ion4-md-brush",'\uf2a4'),
    BUG("ion4-md-bug",'\uf2a5'),
    BUILD("ion4-md-build",'\uf2a6'),
    BULB("ion4-md-bulb",'\uf2a7'),
    BUS("ion4-md-bus",'\uf2a8'),
    BUSINESS("ion4-md-business",'\uf1a4'),
    CAFE("ion4-md-cafe",'\uf2a9'),
    CALCULATOR("ion4-md-calculator",'\uf2aa'),
    CALENDAR("ion4-md-calendar",'\uf2ab'),
    CALL("ion4-md-call",'\uf2ac'),
    CAMERA("ion4-md-camera",'\uf2ad'),
    CAR("ion4-md-car",'\uf2b2'),
    CARD("ion4-md-card",'\uf2b3'),
    CART("ion4-md-cart",'\uf2b4'),
    CASH("ion4-md-cash",'\uf2b5'),
    CELLULAR("ion4-md-cellular",'\uf164'),
    CHATBOXES("ion4-md-chatboxes",'\uf2b6'),
    CHATBUBBLES("ion4-md-chatbubbles",'\uf2b7'),
    CHECKBOX("ion4-md-checkbox",'\uf2b9'),
    CHECKBOX_OUTLINE("ion4-md-checkbox-outline",'\uf2b8'),
    CHECKMARK("ion4-md-checkmark",'\uf2bc'),
    CHECKMARK_CIRCLE("ion4-md-checkmark-circle",'\uf2bb'),
    CHECKMARK_CIRCLE_OUTLINE("ion4-md-checkmark-circle-outline",'\uf2ba'),
    CLIPBOARD("ion4-md-clipboard",'\uf2bd'),
    CLOCK("ion4-md-clock",'\uf2be'),
    CLOSE("ion4-md-close",'\uf2c0'),
    CLOSE_CIRCLE("ion4-md-close-circle",'\uf2bf'),
    CLOSE_CIRCLE_OUTLINE("ion4-md-close-circle-outline",'\uf166'),
    CLOUD("ion4-md-cloud",'\uf2c9'),
    CLOUD_CIRCLE("ion4-md-cloud-circle",'\uf2c2'),
    CLOUD_DONE("ion4-md-cloud-done",'\uf2c3'),
    CLOUD_DOWNLOAD("ion4-md-cloud-download",'\uf2c6'),
    CLOUD_OUTLINE("ion4-md-cloud-outline",'\uf2c7'),
    CLOUD_UPLOAD("ion4-md-cloud-upload",'\uf2c8'),
    CLOUDY("ion4-md-cloudy",'\uf2cb'),
    CLOUDY_NIGHT("ion4-md-cloudy-night",'\uf2ca'),
    CODE("ion4-md-code",'\uf2ce'),
    CODE_DOWNLOAD("ion4-md-code-download",'\uf2cc'),
    CODE_WORKING("ion4-md-code-working",'\uf2cd'),
    COG("ion4-md-cog",'\uf2cf'),
    COLOR_FILL("ion4-md-color-fill",'\uf2d0'),
    COLOR_FILTER("ion4-md-color-filter",'\uf2d1'),
    COLOR_PALETTE("ion4-md-color-palette",'\uf2d2'),
    COLOR_WAND("ion4-md-color-wand",'\uf2d3'),
    COMPASS("ion4-md-compass",'\uf2d4'),
    CONSTRUCT("ion4-md-construct",'\uf2d5'),
    CONTACT("ion4-md-contact",'\uf2d6'),
    CONTACTS("ion4-md-contacts",'\uf2d7'),
    CONTRACT("ion4-md-contract",'\uf2d8'),
    CONTRAST("ion4-md-contrast",'\uf2d9'),
    COPY("ion4-md-copy",'\uf2da'),
    CREATE("ion4-md-create",'\uf2db'),
    CROP("ion4-md-crop",'\uf2dc'),
    CUBE("ion4-md-cube",'\uf2dd'),
    CUT("ion4-md-cut",'\uf2de'),
    DESKTOP("ion4-md-desktop",'\uf2df'),
    DISC("ion4-md-disc",'\uf2e0'),
    DOCUMENT("ion4-md-document",'\uf2e1'),
    DONE_ALL("ion4-md-done-all",'\uf2e2'),
    DOWNLOAD("ion4-md-download",'\uf2e3'),
    EASEL("ion4-md-easel",'\uf2e4'),
    EGG("ion4-md-egg",'\uf2e5'),
    EXIT("ion4-md-exit",'\uf2e6'),
    EXPAND("ion4-md-expand",'\uf2e7'),
    EYE("ion4-md-eye",'\uf2e9'),
    EYE_OFF("ion4-md-eye-off",'\uf2e8'),
    FASTFORWARD("ion4-md-fastforward",'\uf2ea'),
    FEMALE("ion4-md-female",'\uf2eb'),
    FILING("ion4-md-filing",'\uf2ec'),
    FILM("ion4-md-film",'\uf2ed'),
    FINGER_PRINT("ion4-md-finger-print",'\uf2ee'),
    FITNESS("ion4-md-fitness",'\uf1ac'),
    FLAG("ion4-md-flag",'\uf2ef'),
    FLAME("ion4-md-flame",'\uf2f0'),
    FLASH("ion4-md-flash",'\uf2f1'),
    FLASH_OFF("ion4-md-flash-off",'\uf169'),
    FLASHLIGHT("ion4-md-flashlight",'\uf16b'),
    FLASK("ion4-md-flask",'\uf2f2'),
    FLOWER("ion4-md-flower",'\uf2f3'),
    FOLDER("ion4-md-folder",'\uf2f5'),
    FOLDER_OPEN("ion4-md-folder-open",'\uf2f4'),
    FOOTBALL("ion4-md-football",'\uf2f6'),
    FUNNEL("ion4-md-funnel",'\uf2f7'),
    GIFT("ion4-md-gift",'\uf199'),
    GIT_BRANCH("ion4-md-git-branch",'\uf2fa'),
    GIT_COMMIT("ion4-md-git-commit",'\uf2fb'),
    GIT_COMPARE("ion4-md-git-compare",'\uf2fc'),
    GIT_MERGE("ion4-md-git-merge",'\uf2fd'),
    GIT_NETWORK("ion4-md-git-network",'\uf2fe'),
    GIT_PULL_REQUEST("ion4-md-git-pull-request",'\uf2ff'),
    GLASSES("ion4-md-glasses",'\uf300'),
    GLOBE("ion4-md-globe",'\uf301'),
    GRID("ion4-md-grid",'\uf302'),
    HAMMER("ion4-md-hammer",'\uf303'),
    HAND("ion4-md-hand",'\uf304'),
    HAPPY("ion4-md-happy",'\uf305'),
    HEADSET("ion4-md-headset",'\uf306'),
    HEART("ion4-md-heart",'\uf308'),
    HEART_DISLIKE("ion4-md-heart-dislike",'\uf167'),
    HEART_EMPTY("ion4-md-heart-empty",'\uf1a1'),
    HEART_HALF("ion4-md-heart-half",'\uf1a2'),
    HELP("ion4-md-help",'\uf30b'),
    HELP_BUOY("ion4-md-help-buoy",'\uf309'),
    HELP_CIRCLE("ion4-md-help-circle",'\uf30a'),
    HELP_CIRCLE_OUTLINE("ion4-md-help-circle-outline",'\uf16d'),
    HOME("ion4-md-home",'\uf30c'),
    HOURGLASS("ion4-md-hourglass",'\uf111'),
    ICE_CREAM("ion4-md-ice-cream",'\uf30d'),
    IMAGE("ion4-md-image",'\uf30e'),
    IMAGES("ion4-md-images",'\uf30f'),
    INFINITE("ion4-md-infinite",'\uf310'),
    INFORMATION("ion4-md-information",'\uf312'),
    INFORMATION_CIRCLE("ion4-md-information4-circle",'\uf311'),
    INFORMATION_CIRCLE_OUTLINE("ion4-md-information4-circle-outline",'\uf16f'),
    JET("ion4-md-jet",'\uf315'),
    JOURNAL("ion4-md-journal",'\uf18d'),
    KEY("ion4-md-key",'\uf316'),
    KEYPAD("ion4-md-keypad",'\uf317'),
    LAPTOP("ion4-md-laptop",'\uf318'),
    LEAF("ion4-md-leaf",'\uf319'),
    LINK("ion4-md-link",'\uf22e'),
    LIST("ion4-md-list",'\uf31b'),
    LIST_BOX("ion4-md-list-box",'\uf31a'),
    LOCATE("ion4-md-locate",'\uf31c'),
    LOCK("ion4-md-lock",'\uf31d'),
    LOG_IN("ion4-md-log-in",'\uf31e'),
    LOG_OUT("ion4-md-log-out",'\uf31f'),
    MAGNET("ion4-md-magnet",'\uf320'),
    MAIL("ion4-md-mail",'\uf322'),
    MAIL_OPEN("ion4-md-mail-open",'\uf321'),
    MAIL_UNREAD("ion4-md-mail-unread",'\uf172'),
    MALE("ion4-md-male",'\uf323'),
    MAN("ion4-md-man",'\uf324'),
    MAP("ion4-md-map",'\uf325'),
    MEDAL("ion4-md-medal",'\uf326'),
    MEDICAL("ion4-md-medical",'\uf327'),
    MEDKIT("ion4-md-medkit",'\uf328'),
    MEGAPHONE("ion4-md-megaphone",'\uf329'),
    MENU("ion4-md-menu",'\uf32a'),
    MIC("ion4-md-mic",'\uf32c'),
    MIC_OFF("ion4-md-mic-off",'\uf32b'),
    MICROPHONE("ion4-md-microphone",'\uf32d'),
    MOON("ion4-md-moon",'\uf32e'),
    MORE("ion4-md-more",'\uf1c9'),
    MOVE("ion4-md-move",'\uf331'),
    MUSICAL_NOTE("ion4-md-musical-note",'\uf332'),
    MUSICAL_NOTES("ion4-md-musical-notes",'\uf333'),
    NAVIGATE("ion4-md-navigate",'\uf334'),
    NOTIFICATIONS("ion4-md-notifications",'\uf338'),
    NOTIFICATIONS_OFF("ion4-md-notifications-off",'\uf336'),
    NOTIFICATIONS_OUTLINE("ion4-md-notifications-outline",'\uf337'),
    NUCLEAR("ion4-md-nuclear",'\uf339'),
    NUTRITION("ion4-md-nutrition",'\uf33a'),
    OPEN("ion4-md-open",'\uf33b'),
    OPTIONS("ion4-md-options",'\uf33c'),
    OUTLET("ion4-md-outlet",'\uf33d'),
    PAPER("ion4-md-paper",'\uf33f'),
    PAPER_PLANE("ion4-md-paper-plane",'\uf33e'),
    PARTLY_SUNNY("ion4-md-partly-sunny",'\uf340'),
    PAUSE("ion4-md-pause",'\uf341'),
    PAW("ion4-md-paw",'\uf342'),
    PEOPLE("ion4-md-people",'\uf343'),
    PERSON("ion4-md-person",'\uf345'),
    PERSON_ADD("ion4-md-person-add",'\uf344'),
    PHONE_LANDSCAPE("ion4-md-phone-landscape",'\uf346'),
    PHONE_PORTRAIT("ion4-md-phone-portrait",'\uf347'),
    PHOTOS("ion4-md-photos",'\uf348'),
    PIE("ion4-md-pie",'\uf349'),
    PIN("ion4-md-pin",'\uf34a'),
    PINT("ion4-md-pint",'\uf34b'),
    PIZZA("ion4-md-pizza",'\uf354'),
    PLANE("ion4-md-plane",'\uf355'),
    PLANET("ion4-md-planet",'\uf356'),
    PLAY("ion4-md-play",'\uf357'),
    PLAY_CIRCLE("ion4-md-play-circle",'\uf174'),
    PODIUM("ion4-md-podium",'\uf358'),
    POWER("ion4-md-power",'\uf359'),
    PRICETAG("ion4-md-pricetag",'\uf35a'),
    PRICETAGS("ion4-md-pricetags",'\uf35b'),
    PRINT("ion4-md-print",'\uf35c'),
    PULSE("ion4-md-pulse",'\uf35d'),
    QR_SCANNER("ion4-md-qr-scanner",'\uf35e'),
    QUOTE("ion4-md-quote",'\uf35f'),
    RADIO("ion4-md-radio",'\uf362'),
    RADIO_BUTTON_OFF("ion4-md-radio-button-off",'\uf360'),
    RADIO_BUTTON_ON("ion4-md-radio-button-on",'\uf361'),
    RAINY("ion4-md-rainy",'\uf363'),
    RECORDING("ion4-md-recording",'\uf364'),
    REDO("ion4-md-redo",'\uf365'),
    REFRESH("ion4-md-refresh",'\uf366'),
    REFRESH_CIRCLE("ion4-md-refresh-circle",'\uf228'),
    REMOVE("ion4-md-remove",'\uf368'),
    REMOVE_CIRCLE("ion4-md-remove-circle",'\uf367'),
    REMOVE_CIRCLE_OUTLINE("ion4-md-remove-circle-outline",'\uf176'),
    REORDER("ion4-md-reorder",'\uf369'),
    REPEAT("ion4-md-repeat",'\uf36a'),
    RESIZE("ion4-md-resize",'\uf36b'),
    RESTAURANT("ion4-md-restaurant",'\uf36c'),
    RETURN_LEFT("ion4-md-return-left",'\uf36d'),
    RETURN_RIGHT("ion4-md-return-right",'\uf36e'),
    REVERSE_CAMERA("ion4-md-reverse-camera",'\uf36f'),
    REWIND("ion4-md-rewind",'\uf370'),
    RIBBON("ion4-md-ribbon",'\uf371'),
    ROCKET("ion4-md-rocket",'\uf179'),
    ROSE("ion4-md-rose",'\uf372'),
    SAD("ion4-md-sad",'\uf373'),
    SAVE("ion4-md-save",'\uf1a9'),
    SCHOOL("ion4-md-school",'\uf374'),
    SEARCH("ion4-md-search",'\uf375'),
    SEND("ion4-md-send",'\uf376'),
    SETTINGS("ion4-md-settings",'\uf377'),
    SHARE("ion4-md-share",'\uf379'),
    SHARE_ALT("ion4-md-share-alt",'\uf378'),
    SHIRT("ion4-md-shirt",'\uf37a'),
    SHUFFLE("ion4-md-shuffle",'\uf37b'),
    SKIP_BACKWARD("ion4-md-skip-backward",'\uf37c'),
    SKIP_FORWARD("ion4-md-skip-forward",'\uf37d'),
    SNOW("ion4-md-snow",'\uf37e'),
    SPEEDOMETER("ion4-md-speedometer",'\uf37f'),
    SQUARE("ion4-md-square",'\uf381'),
    SQUARE_OUTLINE("ion4-md-square-outline",'\uf380'),
    STAR("ion4-md-star",'\uf384'),
    STAR_HALF("ion4-md-star-half",'\uf382'),
    STAR_OUTLINE("ion4-md-star-outline",'\uf383'),
    STATS("ion4-md-stats",'\uf385'),
    STOPWATCH("ion4-md-stopwatch",'\uf386'),
    SUBWAY("ion4-md-subway",'\uf387'),
    SUNNY("ion4-md-sunny",'\uf388'),
    SWAP("ion4-md-swap",'\uf389'),
    SWITCH("ion4-md-switch",'\uf38a'),
    SYNC("ion4-md-sync",'\uf38b'),
    TABLET_LANDSCAPE("ion4-md-tablet-landscape",'\uf38c'),
    TABLET_PORTRAIT("ion4-md-tablet-portrait",'\uf38d'),
    TENNISBALL("ion4-md-tennisball",'\uf38e'),
    TEXT("ion4-md-text",'\uf38f'),
    THERMOMETER("ion4-md-thermometer",'\uf390'),
    THUMBS_DOWN("ion4-md-thumbs-down",'\uf391'),
    THUMBS_UP("ion4-md-thumbs-up",'\uf392'),
    THUNDERSTORM("ion4-md-thunderstorm",'\uf393'),
    TIME("ion4-md-time",'\uf394'),
    TIMER("ion4-md-timer",'\uf395'),
    TODAY("ion4-md-today",'\uf17d'),
    TRAIN("ion4-md-train",'\uf396'),
    TRANSGENDER("ion4-md-transgender",'\uf397'),
    TRASH("ion4-md-trash",'\uf398'),
    TRENDING_DOWN("ion4-md-trending-down",'\uf399'),
    TRENDING_UP("ion4-md-trending-up",'\uf39a'),
    TROPHY("ion4-md-trophy",'\uf39b'),
    TV("ion4-md-tv",'\uf17f'),
    UMBRELLA("ion4-md-umbrella",'\uf39c'),
    UNDO("ion4-md-undo",'\uf39d'),
    UNLOCK("ion4-md-unlock",'\uf39e'),
    VIDEOCAM("ion4-md-videocam",'\uf39f'),
    VOLUME_HIGH("ion4-md-volume-high",'\uf123'),
    VOLUME_LOW("ion4-md-volume-low",'\uf131'),
    VOLUME_MUTE("ion4-md-volume-mute",'\uf3a1'),
    VOLUME_OFF("ion4-md-volume-off",'\uf3a2'),
    WALK("ion4-md-walk",'\uf3a4'),
    WALLET("ion4-md-wallet",'\uf18f'),
    WARNING("ion4-md-warning",'\uf3a5'),
    WATCH("ion4-md-watch",'\uf3a6'),
    WATER("ion4-md-water",'\uf3a7'),
    WIFI("ion4-md-wifi",'\uf3a8'),
    WINE("ion4-md-wine",'\uf3a9'),
    WOMAN("ion4-md-woman",'\uf3aa');
    public static Ionicons4Material findByDescription(String description) {
        for (Ionicons4Material font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    Ionicons4Material(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}